Name:		js-web-socket-js
Version:	1.0.2
Release:	1%{?dist}
Summary:	HTML5 Web Socket implementation powered by Flash

License:	BSD
URL:		https://github.com/gimite/web-socket-js
Source0:	https://github.com/gimite/web-socket-js/archive/v%{version}.tar.gz	

BuildRequires:	web-assets-devel	
Requires:	web-assets-filesystem

%description
%{summary}.

Note: this package ships only the java script components. The SWF
assets are not shipped as shipping binary components in Fedora without
building from source is forbidden, and currently Fedora does not have
the Apache Flex SDK packaged.

%prep 
%setup -q -n web-socket-js-%{version}


%build
# Presently the apache-flex-sdk is not included in Fedora, so we can't
# build the SWF assets, so for now this section is empty

%install
mkdir -p %{buildroot}%{_jsdir}/web-socket-js
cp -a swfobject.js web_socket.js %{buildroot}%{_jsdir}/web-socket-js

%files
%doc LICENSE.txt NEWS.md README.md sample.html
%{_jsdir}/web-socket-js/*


%changelog
* Thu Mar  5 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 1.0.2-1
- Initial package
